# Class T8GIStyle

##### Index

### Constructors

constructor

### Properties

diffuseColor
diffuseFactor
diffuseTransmissionColor
diffuseTransmissionFactor
name
reflectionColor
reflectionFactor
specularColor
specularExponent
specularFactor
specularRoughness
surfaceColor
transmissionColor
transmissionFactor

### Methods

create

## Constructors

### constructor

- new T8GIStyle(
  name: string,
  surfaceColor: [number, number, number, number],
  diffuseColor: undefined | [number, number, number],
  specularColor: undefined | [number, number, number],
  reflectionColor: undefined | [number, number, number],
  transmissionColor: undefined | [number, number, number],
  diffuseTransmissionColor: undefined | [number, number, number],
  diffuseFactor: undefined | number,
  specularFactor: undefined | number,
  reflectionFactor: undefined | number,
  transmissionFactor: undefined | number,
  diffuseTransmissionFactor: undefined | number,
  specularExponent: undefined | number,
  specularRoughness: undefined | number,
  ): T8GIStyle

  #### Parameters

  - name: string
  - surfaceColor: [number, number, number, number]
  - diffuseColor: undefined | [number, number, number]
  - specularColor: undefined | [number, number, number]
  - reflectionColor: undefined | [number, number, number]
  - transmissionColor: undefined | [number, number, number]
  - diffuseTransmissionColor: undefined | [number, number, number]
  - diffuseFactor: undefined | number
  - specularFactor: undefined | number
  - reflectionFactor: undefined | number
  - transmissionFactor: undefined | number
  - diffuseTransmissionFactor: undefined | number
  - specularExponent: undefined | number
  - specularRoughness: undefined | number

  #### Returns T8GIStyle

## Properties

### `Readonly` diffuseColor

diffuseColor: undefined | [number, number, number]

### `Readonly` diffuseFactor

diffuseFactor: undefined | number

### `Readonly` diffuseTransmissionColor

diffuseTransmissionColor: undefined | [number, number, number]

### `Readonly` diffuseTransmissionFactor

diffuseTransmissionFactor: undefined | number

### `Readonly` name

name: string

### `Readonly` reflectionColor

reflectionColor: undefined | [number, number, number]

### `Readonly` reflectionFactor

reflectionFactor: undefined | number

### `Readonly` specularColor

specularColor: undefined | [number, number, number]

### `Readonly` specularExponent

specularExponent: undefined | number

### `Readonly` specularFactor

specularFactor: undefined | number

### `Readonly` specularRoughness

specularRoughness: undefined | number

### `Readonly` surfaceColor

surfaceColor: [number, number, number, number]

### `Readonly` transmissionColor

transmissionColor: undefined | [number, number, number]

### `Readonly` transmissionFactor

transmissionFactor: undefined | number

## Methods

### `Static` create

- create(dto: T8GIStyleDTO): T8GIStyle

  #### Parameters

  - dto: T8GIStyleDTO

  #### Returns T8GIStyle